Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve usage metrics for the current UTC date.
GET /v1/usage
Authorization
Bearer <api_key>
curl https://api.grantex.dev/v1/usage \ -H "Authorization: Bearer gx_..."
{ "developerId": "dev_01HXYZ...", "period": "2026-04-05", "tokenExchanges": 142, "authorizations": 58, "verifications": 1203, "totalRequests": 1403 }
developerId
string
period
YYYY-MM-DD
tokenExchanges
number
authorizations
verifications
totalRequests
UNAUTHORIZED
import Grantex from '@grantex/sdk'; const grantex = new Grantex({ apiKey: 'gx_...' }); const usage = await grantex.usage.current(); console.log(`Total requests today: ${usage.totalRequests}`); console.log(`Token exchanges: ${usage.tokenExchanges}`);
from grantex import Grantex grantex = Grantex(api_key="gx_...") usage = grantex.usage.current() print(f"Total requests today: {usage.total_requests}") print(f"Token exchanges: {usage.token_exchanges}")